<?php
/*
Plugin Name: AH No Version Number
Plugin URI: https://andreas-hecht.com/ah-noversion-number/
Description: Removes the WordPress meta generator tag and any version number (including the enqueued scripts and stylesheets) from the source code and the feed of WordPress. This small plugin provides you a little more security.
Version: 1.0.2
Author:      Andreas Hecht
Author URI:  https://andreas-hecht.com
License:     GPL2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

/**
 * remove wp version meta tag and from rss feed
 * @uses the_generator()
 * 
 */ 
if ( !function_exists( 'evolution_remove_wp_version' ) ) {
    
function evolution_remove_wp_version() { 

return ''; 

    }
}
 add_filter('the_generator', 'evolution_remove_wp_version');


 /**
  * remove wp version param from any enqueued scripts and styles
  * @uses style_loader_src() and script_loader_src() 
  * 
  */ 
if ( !function_exists( 'evolution_remove_wp_ver_css_js' ) ) {
    
function evolution_remove_wp_ver_css_js( $src ) {

    if ( strpos( $src, 'ver=' ) )

        $src = remove_query_arg( 'ver', $src );

    return $src;
    }
}
add_filter( 'style_loader_src', 'evolution_remove_wp_ver_css_js', 9999 );
add_filter( 'script_loader_src', 'evolution_remove_wp_ver_css_js', 9999 );